#!/usr/bin/env python
from getclassmembers import getclassmembers
from public import public


def isproperty(obj):
    return isinstance(obj, property)


@public
def getproperties(cls, include="*", exclude=None, _=True,
                  inherited=False, new=True, overloaded=True):
    properties = []
    for _, _property in getclassmembers(cls,
                                        predicate=isproperty,
                                        include=include,
                                        exclude=exclude,
                                        _=_,
                                        inherited=inherited,
                                        new=new,
                                        overloaded=overloaded
                                        ):
        properties.append(_property)
    return properties
